.thumbnail {
  width: 100%;
}

.video-title {
  margin-top: 0px;
  font-weight: 500;
  font-size: 14px;
  line-height: 20px;
}

.creator-image {
  border-radius: 50px;
  width: 75%;
}

.video-info-grid {
  display: grid;
  grid-template-columns: 50px 1fr;
}

.video-author,
.video-stats {
  font-size: 12px;
  color: gray;
  margin: 0;
}

.thumbnail-row {
  margin-bottom: 4px;
  position: relative;
}

.video-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 16px;
  row-gap: 20px;
}

/*
media quiery
*/
@media (max-width: 870px) {
  .video-grid {
    grid-template-columns: 1fr 1fr;
  }
}

@media (min-width: 871px) and (max-width: 1124) {
  .video-grid {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media (min-width: 1125px) {
  .video-grid {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}

.video-time {
  font-weight: 500;
  font-size: 12px;
  padding: 4px;
  position: absolute;
  background-color: black;
  color: white;
  bottom: 10px;
  right: 8px;
}